//
// ReportClassificationErrorRequest.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ReportClassificationErrorRequest: Codable, JSONEncodable, Hashable {

    public var labels: [String]?
    public var hash: String?

    public init(labels: [String]? = nil, hash: String? = nil) {
        self.labels = labels
        self.hash = hash
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case labels
        case hash
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(labels, forKey: .labels)
        try container.encodeIfPresent(hash, forKey: .hash)
    }
}

